<?php
        
        require_once('app-settings.php');
        
                
		#############################################################################
		#
		#	Function name: getDBConnection
		#
		#	Purpose: Gets a database connection
		#	
		#	Returns: A database connection
		#
		#############################################################################
        function getDBConnection() {

	        // Connection variables        
		    $dbhost = DB_HOST_NAME;
			$dbuser = DB_USER_NAME;
			$dbpass = DB_PSWORD;
			$dbname = DB_NAME_PHONES;
			
			$link = mysqli_connect($dbhost, $dbuser, $dbpass, $dbname);
		    
		    if (!$link) {
			    die('Could not connect to the database: ' . mysqli_error());
			}
			
			//WE NEED to select the database!
			//mysql_selectdb($dbname);
			
			return $link;

		}   



		#############################################################################
		#
		#	Function name: getDBConnection
		#
		#	Purpose: Gets a database connection
		#	
		#	Returns: A database connection
		#
		#############################################################################
        function getDBConnectionTwo() {

	        // Connection variables        
		    $dbhost = DB_HOST_NAME;
			$dbuser = DB_USER_NAME;
			$dbpass = DB_PSWORD;
			$dbname = DB_NAME_APPS;
			
			$link = mysqli_connect($dbhost, $dbuser, $dbpass, $dbname);
		    
		    if (!$link) {
			    die('Could not connect to the database: ' . mysqli_error());
			}
			
			//WE NEED to select the database!
			//mysql_selectdb($dbname);
			
			return $link;

		}  
        

		#############################################################################
		#
		#       Function name: cleanText
		#
		#       Purpose: Clean user submitted data for insertion into the database. Works regardless of magic_quotes.
		#
		#       Incoming parameters:
		#               $string - $_GET or $_POST string to be cleaned
		#               $allowedTags - Choose which HTML tags you want to allow in this format: <a>, <b>, <strong>, <i>, etc.
		#
		#       Returns: Cleaned data ready to be inserted
		#
		#############################################################################


        function cleanText($string, $allowedTags = "") {
    
		    $db = getDBConnection();

		    $string = strip_tags($string, $allowedTags);
		    
		    if(get_magic_quotes_gpc()) {
				return mysqli_real_escape_string($db, stripslashes($string));
		    } else {
				return mysqli_real_escape_string($db, $string);
		    }
			
			mysqli_close($db); 
		}	
	
	
	
		#############################################################################
		#
		#	Function name: getConnection
		#
		#	Purpose: Gets a PDO database connection for the RESTful services
		#
		#	
		#	Returns: PDO database connection
		#
		#############################################################################
		
		function getConnection() {
			$dbhost = DB_HOST_NAME;
			$dbuser = DB_USER_NAME;
			$dbpass = DB_PSWORD;
			$dbname = DB_NAME_PHONES;
			$dbh = new PDO("mysql:host=$dbhost;dbname=$dbname", $dbuser, $dbpass);
			$dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			return $dbh;
		}


		#############################################################################
		#
		#	Function name: getConnectionTwo
		#
		#	Purpose: Gets a PDO database connection for the RESTful services
		#
		#	
		#	Returns: PDO database connection
		#
		#############################################################################
		
		function getConnectionTwo() {
			$dbhost = DB_HOST_NAME;
			$dbuser = DB_USER_NAME;
			$dbpass = DB_PSWORD;
			$dbname = DB_NAME_APPS;
			$dbh = new PDO("mysql:host=$dbhost;dbname=$dbname", $dbuser, $dbpass);
			$dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			return $dbh;
		}
	
	

?>
	
