<?php

		require_once('includes/_dbconfig.php');

		function getDeviceTypes() {	
			
			$sql ="SELECT * FROM device_types ORDER BY dev_type_id";

			try {
				$db = getConnection();
				$stmt = $db->prepare($sql);		
				$stmt->execute();
				$device_types = $stmt->fetchAll(PDO::FETCH_OBJ);  
				$db = null;
				return $device_types;
			} catch(PDOException $e) {
				echo '{"error":'. json_encode($e->getMessage()) .'}';
				 
			}
		}

		function getOses() {	
			
			$sql ="SELECT * FROM os_types ORDER BY os_id";

			try {
				$db = getConnection();
				$stmt = $db->prepare($sql);		
				$stmt->execute();
				$oses = $stmt->fetchAll(PDO::FETCH_OBJ);  
				$db = null;
				return $oses;
			} catch(PDOException $e) {
				echo '{"error":'. json_encode($e->getMessage()) .'}';
				 
			}
		}


		function getManufacturers() {	
			
			$sql ="SELECT * FROM manufacturers ORDER BY man_id";

			try {
				$db = getConnection();
				$stmt = $db->prepare($sql);		
				$stmt->execute();
				$manufacturers = $stmt->fetchAll(PDO::FETCH_OBJ);  
				$db = null;
				return $manufacturers;
			} catch(PDOException $e) {
				echo '{"error":'. json_encode($e->getMessage()) .'}';
				 
			}
		}


		function getCategories() {	
			
			$sql ="SELECT * FROM application_categories ORDER BY app_category_id";

			try {
				$db = getConnectionTwo();
				$stmt = $db->prepare($sql);		
				$stmt->execute();
				$categories = $stmt->fetchAll(PDO::FETCH_OBJ);  
				$db = null;
				return $categories;
			} catch(PDOException $e) {
				echo '{"error":'. json_encode($e->getMessage()) .'}';
				 
			}
		}



		


		function getApplicationsByCategory($id) {

			$sql ="SELECT app_id, app_name, app_description, app_url, app_image, application_time FROM phone_applications as main_table LEFT JOIN apps_cats as ac ON ac.application_id = main_table.app_id LEFT JOIN application_categories as cat ON cat.app_category_id = ac.application_category_id WHERE ac.application_category_id =:id ORDER BY app_id LIMIT 5";
					
			try {
				$db = getConnectionTwo();
				$stmt = $db->prepare($sql);
				$stmt->bindParam("id", $id);		
				$stmt->execute();		  
				$applications = $stmt->fetchAll(PDO::FETCH_OBJ); 
				$db = null;
				 
				return $applications;
				
			} catch(PDOException $e) {		
				echo '{"error":'. json_encode($e->getMessage()) .'}';
			}

		}


	?>